AUI.Time = {}

function AUI.Time.MS_To_S(_ms)
	return _ms / 1000
end

function AUI.Time.GetFormatedString(_s, _r)
	local s = _s
	local m = 0
	local h = 0
	local d = 0

	if not _r then
		_r = 1
	end
	
	if s >= 60 then
		m = s / 60
		s = math.fmod(s, 60)
	end
	
	if m >= 60 then
		h = m / 60
		m = math.fmod(m, 60)
	end	
	
	if h >= 24 then
		d = h / 24
	
		h = math.fmod(h, 24)
	end	

	s = math.floor(s)
	m = math.floor(m)
	h = math.floor(h)
	d = math.floor(d)

	if d > 0 then
		if h > 0 and m > 0 then
			return d .. "d " .. h .. "h " .. m .. "m"
		elseif h > 0 then
			return d .. "d " .. h .. "h"
		else
			return d .. "d"
		end		
	elseif h > 0 then
		if m > 0 then
			return  h .. " h " .. m .. "m"
		else
			return h .. " h "
		end	
	elseif m > 0 then
		if s > 0 then
			return m .. "m " .. s .. "s"
		else
			return m .. "m"
		end
	elseif _s > 0 then
		return zo_strformat(SI_STAT_VALUE_NON_PERCENT, AUI.Math.Round(_s, _r) .. "s")	
	end

	return 0 .. "s"
end